Bug 210766 - [new port] databases/dbixx Tiny C++ wrapper around libdbi for database and SQL connectivity
Summary: [new port] databases/dbixx Tiny C++ wrapper around libdbi for database and SQ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Babak Farrokhi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-02 23:28 UTC by Mohammad S. Babaei
Modified: 2018-07-17 08:40 UTC (History)
1 user (show)

See Also:


Attachments
databases/dbixx shar file (1.93 KB, text/plain)
2016-07-02 23:28 UTC, Mohammad S. Babaei
info: maintainer-approval-
Details
databases/dbixx shar file (1.84 KB, text/plain)
2018-07-16 19:57 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2016-07-02 23:28:52 UTC
Created attachment 172048 [details]
databases/dbixx shar file

DbiXX SQL connectivity library is a C++ wrapper for LibDBI C library. It
provides an object oriented, C++ friendly, exception safe interface to execute
SQL queries in a safe manner.

It is licensed under LGPL v2.1.

WWW: http://cppcms.com/wikipp/en/page/ref_dbixx
Comment 1 Babak Farrokhi freebsd_committer 2018-07-09 17:14:55 UTC
Would you please remove pkg-plist and use PLIST_FILES in Makefile instead?
You may also want to run portlint and re-order variables in Makefile.
Comment 2 Mohammad S. Babaei 2018-07-12 18:25:34 UTC
(In reply to Babak Farrokhi from comment #1)

Sure, I'll do it next week and provide a new shar file since I don't have access to my development machine at the moment.
Comment 3 Mohammad S. Babaei 2018-07-16 19:57:48 UTC
Created attachment 195178 [details]
databases/dbixx shar file

OK, here is the new shar file that uses PLIST_FILES instead of pkg-plist as requested. And, no more complaints from portlint.

Please let me know if there are any more issues.

Thank you!
Comment 4 commit-hook freebsd_committer 2018-07-17 08:20:28 UTC
A commit references this bug:

Author: farrokhi
Date: Tue Jul 17 08:19:50 UTC 2018
New revision: 474784
URL: https://svnweb.freebsd.org/changeset/ports/474784

Log:
  new port: databases/dbixx: Tiny C++ wrapper around libdbi for database and SQL connectivity

  PR:		210766
  Submitted by:	Mohammad S. Babaei <info@babaei.net>

Changes:
  head/databases/Makefile
  head/databases/dbixx/
  head/databases/dbixx/Makefile
  head/databases/dbixx/distinfo
  head/databases/dbixx/pkg-descr
Comment 5 Babak Farrokhi freebsd_committer 2018-07-17 08:40:37 UTC
Committed. Thanks!